############################################################
#  	Default Logging Configuration File
#
# You can use a different file by specifying a filename
# with the java.util.logging.config.file system property.
# For example java -Djava.util.logging.config.file=myfile
############################################################

############################################################
#  	Global properties
############################################################

# "handlers" specifies a comma separated list of log Handler
# classes.  These handlers will be installed during VM startup.
# Note that these classes must be on the system classpath.
# By default we only configure a ConsoleHandler, which will only
# show messages at the INFO and above levels.
handlers= java.util.logging.FileHandler, java.util.logging.ConsoleHandler


# To also add the FileHandler, use the following line instead.
#handlers= java.util.logging.FileHandler, java.util.logging.ConsoleHandler

# Default global logging level.
# This specifies which kinds of events are logged across
# all loggers.  For any given facility this global level
# can be overriden by a facility specific level
# Note that the ConsoleHandler also has a separate level
# setting to limit messages printed to the console.
.level= INFO

############################################################
# Handler specific properties.
# Describes specific configuration info for Handlers.
############################################################

# default file output is in user's home directory.
java.util.logging.FileHandler.pattern = ./log/sip-communicator%u.log
java.util.logging.FileHandler.limit = 5000000
java.util.logging.FileHandler.count = 1
java.util.logging.FileHandler.formatter = net.java.sip.communicator.util.ScLogFormatter
java.util.logging.FileHandler.level = FINEST




# Limit the message that are printed on the console to FINEST and above (all).
java.util.logging.ConsoleHandler.level = FINEST
java.util.logging.ConsoleHandler.formatter = net.java.sip.communicator.util.ScLogFormatter


############################################################
# Facility specific properties.
# Provides extra control for each logger.
############################################################

# We don't want trace logs from joscar and joustsim
net.kano.level = INFO

ymsg.network.level = FINEST

# We don't want trace logs from java-jml
net.sf.cindy.impl.level = INFO

# But we want everything coming from the sip-comm
net.java.sip.communicator.impl.level = INFO
net.java.sip.communicator.impl.protocol.level = FINEST
net.java.sip.communicator.impl.shutdown.level = FINEST
net.java.sip.communicator.impl.contactlist.level = FINEST
net.java.sip.communicator.slick.level = FINEST
net.java.sip.communicator.impl.level = FINEST
net.java.sip.communicator.service.level = FINEST
net.java.sip.communicator.util.level = FINEST
net.java.sip.communicator.service.configuration.level = FINEST
net.java.sip.communicator.impl.configuration.level = FINEST
net.java.sip.communicator.impl.history.level = INFO
net.java.sip.communicator.impl.gui.level = INFO
net.java.sip.communicator.impl.protocol.zeroconf.jmdns.level=INFO

# For example, set the com.xyz.foo logger to only log SEVERE
# messages:
com.xyz.foo.level = SEVERE
sun.awt.level = INFO
java.awt.level = INFO
javax.swing.level = INFO

fmj.level=FINE
